variables:
  IMAGE_NAME: "registry.gitlab.com/rpdev/docker/flatpak-builder-kde:latest"

build::image:
  image: docker:git
  services:
  - docker:dind
  script:
    - echo "$CI_REGISTRY_PASSWORD" | docker login $CI_REGISTRY --username $CI_REGISTRY_USER --password-stdin
    - docker build -t $IMAGE_NAME .
    - docker push $IMAGE_NAME
